Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.lob
Class SerializableBlob

    java.lang.Object
      org.hibernate.lob.SerializableBlob

All Implemented Interfaces:
  Serializable, Blob

    public class SerializableBlob

extends Object
implements Serializable, Blob

Author:
  Gavin King
See Also:
  Serialized Form

Constructor Summary
`SerializableBlob(Blob blob)`

Method Summary
`InputStream` | `getBinaryStream()`
`byte[]` | `getBytes(long pos, int length)`
`Blob` | `getWrappedBlob()`
`long` | `length()`
`long` | `position(Blob pattern, long start)`
`long` | `position(byte[] pattern, long start)`
`OutputStream` | `setBinaryStream(long pos)`
`int` | `setBytes(long pos, byte[] bytes)`
`int` | `setBytes(long pos, byte[] bytes, int offset, int len)`
`void` | `truncate(long len)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SerializableBlob

    public SerializableBlob(Blob blob)

Method Detail

### getWrappedBlob

    public Blob getWrappedBlob()

### length

    public long length()
                throws SQLException

  Specified by:
    `length` in interface `Blob`
  Throws:
    `SQLException`

### getBytes

    public byte[] getBytes(long pos,
                           int length)
                    throws SQLException

  Specified by:
    `getBytes` in interface `Blob`
  Throws:
    `SQLException`

### getBinaryStream

    public InputStream getBinaryStream()
                                throws SQLException

  Specified by:
    `getBinaryStream` in interface `Blob`
  Throws:
    `SQLException`

### position

    public long position(byte[] pattern,
                         long start)
                  throws SQLException

  Specified by:
    `position` in interface `Blob`
  Throws:
    `SQLException`

### position

    public long position(Blob pattern,
                         long start)
                  throws SQLException

  Specified by:
    `position` in interface `Blob`
  Throws:
    `SQLException`

### setBytes

    public int setBytes(long pos,
                        byte[] bytes)
                 throws SQLException

  Specified by:
    `setBytes` in interface `Blob`
  Throws:
    `SQLException`

### setBytes

    public int setBytes(long pos,
                        byte[] bytes,
                        int offset,
                        int len)
                 throws SQLException

  Specified by:
    `setBytes` in interface `Blob`
  Throws:
    `SQLException`

### setBinaryStream

    public OutputStream setBinaryStream(long pos)
                                 throws SQLException

  Specified by:
    `setBinaryStream` in interface `Blob`
  Throws:
    `SQLException`

### truncate

    public void truncate(long len)
                  throws SQLException

  Specified by:
    `truncate` in interface `Blob`
  Throws:
    `SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD